<?php
// $Id: udheader_theme.inc,v 1.1.2.1.2.2 2010/07/19 21:28:45 mtecknology Exp $

/**
 * @file
 * Theme functions to build bloc content
 */

/**
 * Build the block content
 */
function theme_udheader_block($data) {
  $image['left'] = base_path() . drupal_get_path('module', 'udheader') . "/images/left/" . $data['leftimg'];
  $image['center'] = base_path() . drupal_get_path('module', 'udheader') . "/images/center/" . $data['centerimg'];
  $image['right'] = base_path() . drupal_get_path('module', 'udheader') . "/images/right/" . $data['rightimg'];

  $h1 = udheader_block_height($data['centerimg'], 1);
  $h2 = udheader_block_height($data['centerimg'], 10, 'sub');

  $header  = '<div id="udheader-block" style="height: ' . $h1 . ';">';
  $header .= '  <div id="udheader-left">';
  $header .= '    <img alt="banner_side" src="' . $image['left'] . '" />';
  $header .= '  </div>';
  $header .= '  <div id="udheader-right" style="background-image: url(' . $image['right'] . ');">';
  $header .= '    <span id="udheader-righttext" style="height: ' . $h2 . ';">' . t($data['righttext']) . '</span>';
  $header .= '  </div>';
  $header .= '  <div id="udheader-center" style="background-image: url(' . $image['center'] . ');">';
  $header .= '    <span id="udheader-centertext" style="height: ' . $h2 . ';">' . t($data['centertext']) . '</span>';
  $header .= '  </div>';
  $header .= '</div>';

  return $header;
}

/**
 * Find height based on center image selection
 */
function udheader_block_height($img, $val = '0', $oper = 'add') {
  // Masthead height will be based on the center content
  $center = array(
    'center.png' => '97',
    'center-tall.png' => '173',
  );

  switch ($oper) {
    case 'add':
      $calc = ( $center[$img] + $val );
      break;
    case 'sub':
      $calc = ( $center[$img] - $val );
      break;
  }

  $height = $calc . 'px';

  return $height;
}
